import React, { DetailedHTMLProps, HTMLAttributes } from 'react';
import { TypeStyles } from './TypeContext';
export declare function useType(): TypeStyles;
export declare function H1(props: DetailedHTMLProps<HTMLAttributes<HTMLHeadingElement>, HTMLHeadingElement>): React.ReactElement;
export declare function H2(props: DetailedHTMLProps<HTMLAttributes<HTMLHeadingElement>, HTMLHeadingElement>): React.ReactElement;
export declare function H3(props: DetailedHTMLProps<HTMLAttributes<HTMLHeadingElement>, HTMLHeadingElement>): React.ReactElement;
export declare function P(props: DetailedHTMLProps<HTMLAttributes<HTMLParagraphElement>, HTMLParagraphElement>): React.ReactElement;
export declare function Aside(props: DetailedHTMLProps<HTMLAttributes<HTMLElement>, HTMLElement>): React.ReactElement;
